//
//  DemoAppViewController.m
//  DemoApp
//
//  Created by Gregory Barchard on 9/29/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "DemoAppViewController.h"

@implementation DemoAppViewController

#pragma mark BSAAdContainerViewDelegate

- (BOOL)adContainerView:(BSAAdContainerView*)adContainerView shouldHandleClickOfAd:(BSAAd *)ad;
{
    return YES;
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
 
// 200x90
 adContainerView.zoneIdentifier = [NSNumber numberWithInt:1274851];  // BSA Test
 adContainerView.delegate = self;

// 325x100
// adContainerView2.zoneIdentifier = [NSNumber numberWithInt:1248947]; // Empty test   
// adContainerView2.delegate = self;
 //adContainerViewImageAndText.zoneIdentifier = [NSNumber numberWithInt:1248303];  // css-tricks image and text

    
// adContainerViewImageAndText.zoneIdentifier = [NSNumber numberWithInt:1248795];  //Demo account ImageOnly
// adContainerViewImageAndText.delegate = self;
 
[[BSAAdController sharedController] loadAdsWithKey:@"c49e43dbaab2f32fba9a78ccb7e10663"];  // BSA Test
 //[[BSAAdController sharedController] loadAdsWithKey:@"3469a2a501a9e18091036aa0c89f9dcb"]; // CSS Tricks
 //[[BSAAdController sharedController] loadAdsWithKey:@"6a492834da3f65826de6b32cadb9dfe0"]; // Demo account
    
    timer = [NSTimer scheduledTimerWithTimeInterval:15. 
                                              target:self 
                                            selector:@selector(refresh:) 
                                            userInfo:nil 
                                             repeats:YES];
}

- (void)refresh:(NSTimer*)t
{
    NSLog(@"refreshing");
    [adContainerView refresh];
    [adContainerView2 refresh];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
    [timer invalidate];
}


- (void)dealloc {
    [timer invalidate];
    [timer release];
    [super dealloc];
}

@end
